
# Overview

Etherpad lite is a really-real time collaborative editor spawned from the
Hell fire of Etherpad. It reuses the well tested Etherpad easysync library
to make it really realtime.

Etherpad Lite is based on node.js ergo is much lighter and more stable than
the original Etherpad. Our hope is that this will encourage more users to
use and install a realtime collaborative editor.

For more information see https://github.com/ether/etherpad-lite.

# Usage


Etherpad will happily sit on single server:  

    juju deploy etherpad-lite

but it can also be backed by mysql:  

    juju deploy mysql
    juju add-relation etherpad-lite mysql

Note that if you switch an existing etherpad-lite instance to use mysql you will
lose all of the pads within your standalone deployment - same applies
vica-versa.

Remember to expose the charm if you want to use it directly:  

    juju expose etherpad-lite

Once deployed you can go to http://{etherpad-lite-ip-address}:9001/ where
etherpad-lite-ip-address can be found by issuing `juju status etherpad-lite`

# Configuration

The charm has the following configuration:

  * application_url: Bundled BZR branch with node.js deps  
  * application_revision: branch revision to update  
  * install_dir: directory to install to
  * extra_archives: Add additional PPAs to get an appropriate version of node.js and related packages

To upgrade, set application_revision to the latest version:

    juju upgrade-charm etherpad-lite

Your data will be retained in {install_dir}-db, or fixup the mysql relation as above.

## Contact Information

The author of the charm is James Page <james.page@ubuntu.com>

## etherpad-lite

- The etherpad [homepage](etherpad.org).
- The etherpad-lite [project](https://github.com/ether/etherpad-lite) is on github.
- Problems?  Check the etherpad-lite [issue tracker](https://github.com/ether/etherpad-lite/issues).
- Join the [etherpad mailing list](http://groups.google.com/group/etherpad-lite-dev).
